Overview | Modules | Class Hierarchy | Classes | Members

Namespaces | Enumerations | Functions
GraphMeasure.h File Reference
`#include <tulip/Node.h>`
`#include <tulip/MutableContainer.h>`
`#include <tulip/DoubleProperty.h>`
Include dependency graph for GraphMeasure.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Enumerations

- enum tlp::EDGE_TYPE { tlp::DIRECTED = 0, tlp::INV_DIRECTED = 1, tlp::UNDIRECTED = 2 }

## Functions

- TLP_SCOPE double tlp::averagePathLength (const Graph *g, PluginProgress *=NULL)
- bool tlp::averagePathLength (Graph *g, double &result, PluginProgress *pp=NULL)
- TLP_SCOPE double tlp::averageClusteringCoefficient (const Graph *, PluginProgress *=0)
- bool tlp::averageCluster (Graph *g, double &result, PluginProgress *pp=NULL)
- TLP_SCOPE void tlp::clusteringCoefficient (const Graph *g, MutableContainer< double > &result, unsigned int maxDepth=1, PluginProgress *=NULL)
- TLP_SCOPE void tlp::dagLevel (const Graph *graph, MutableContainer< unsigned int > &level, PluginProgress *=NULL)
- TLP_SCOPE unsigned int tlp::maxDegree (const Graph *)
- TLP_SCOPE unsigned int tlp::minDegree (const Graph *)
- TLP_SCOPE unsigned int tlp::maxDistance (const Graph *graph, const node n, MutableContainer< unsigned int > &distance, EDGE_TYPE direction=UNDIRECTED)
- TLP_SCOPE void tlp::reachableNodes (const Graph *graph, const node startNode, std::set< node > &result, unsigned int maxDistance, EDGE_TYPE direction=UNDIRECTED)

Tulip Software by LaBRI Visualization Team 2001 - 2012